import { base } from "../base.js";
import { blockOctoGuide } from "./blockOctoGuide.js";
const blockOctoGuideStrict = base.createBlock({
  about: {
    name: "OctoGuide Strict"
  },
  produce() {
    return {
      addons: [
        blockOctoGuide({
          config: "strict"
        })
      ]
    };
  }
});
export {
  blockOctoGuideStrict
};
