import npmUser from "npm-user";
import { swallowErrorAsync } from "../utils/swallowErrorAsync.js";
async function readNpmDefaults(getNpmWhoami) {
  const whoami = await getNpmWhoami();
  return typeof whoami?.stdout === "string" ? await swallowErrorAsync(npmUser(whoami.stdout)) : void 0;
}
export {
  readNpmDefaults
};
